import type { TransactionResponse } from '@ethersproject/abstract-provider';
import { Asset, AssetConfig, WithdrawXTokensConfig } from '@moonbeam-network/xcm-config';
import { Signer } from 'ethers';
export declare class XTokensContract<Assets extends Asset = Asset> {
    #private;
    readonly address: string;
    constructor(signer: Signer);
    transfer(account: string, amount: bigint, asset: AssetConfig<Assets>, config: WithdrawXTokensConfig<Assets>): Promise<TransactionResponse>;
    getTransferFees(account: string, amount: bigint, asset: AssetConfig<Assets>, config: WithdrawXTokensConfig<Assets>): Promise<bigint>;
    private getGasPrice;
}
