export function calculateMin(weight, unitsPerSecond) {
    // 10**12 weight = 1 second
    return (BigInt(weight) * unitsPerSecond) / BigInt(10 ** 12);
}
export function sortByBalanceAndChainName(a, b) {
    const aBalance = Number((a.balance * 1000000n) / 10n ** BigInt(a.meta.decimals)) / 1000000;
    const bBalance = Number((b.balance * 1000000n) / 10n ** BigInt(b.meta.decimals)) / 1000000;
    if (aBalance || bBalance) {
        return bBalance - aBalance;
    }
    if ((a.origin.name + a.asset.originSymbol).toLowerCase() <
        (b.origin.name + b.asset.originSymbol).toLowerCase()) {
        return -1;
    }
    if ((a.origin.name + a.asset.originSymbol).toLowerCase() >
        (b.origin.name + b.asset.originSymbol).toLowerCase()) {
        return 1;
    }
    return 0;
}
//# sourceMappingURL=polkadot.utils.js.map