import { Asset, AssetConfig, Chain, DepositConfig } from '@moonbeam-network/xcm-config';
import { ISubmittableResult } from '@polkadot/types/types';
import { Signer as EthersSigner } from 'ethers';
import { PolkadotService } from '../polkadot';
import { ExtrinsicEvent, Hash, XcmSdkDeposit, XcmSdkWithdraw } from './sdk.interfaces';
export declare function isXcmSdkDeposit(config: XcmSdkDeposit | XcmSdkWithdraw): config is XcmSdkDeposit;
export declare function isXcmSdkWithdraw(config: XcmSdkDeposit | XcmSdkWithdraw): config is XcmSdkWithdraw;
export declare function createExtrinsicEventHandler<Assets extends Asset = Asset>(config: DepositConfig<Assets>, cb: (event: ExtrinsicEvent) => void): ({ events, status, txHash }: ISubmittableResult) => void;
export declare function createTransactionEventHandler(ethersSigner: EthersSigner, txHash: Hash, cb: (event: ExtrinsicEvent) => void, skipSentEvent?: boolean): Promise<void>;
export interface CreateExtrinsicOptions<Assets extends Asset = Asset, Chains extends Chain = Chain> {
    account: string;
    config: DepositConfig<Assets>;
    foreignPolkadot: PolkadotService<Assets, Chains>;
    nativeAsset: AssetConfig<Assets>;
    polkadot: PolkadotService<Assets, Chains>;
    primaryAccount?: string;
}
export declare function getCreateExtrinsic<Assets extends Asset = Asset>({ account, config, foreignPolkadot, nativeAsset, polkadot, primaryAccount, }: CreateExtrinsicOptions<Assets>): (amount: bigint) => Promise<import("@polkadot/api-base/types").SubmittableExtrinsic<"promise", ISubmittableResult>>;
